package com.yeejoin.amos.boot.module.jg.api.dto;

import com.alibaba.fastjson.JSONObject;
import com.yeejoin.amos.boot.module.jg.api.service.IBizDataChangeHandleStrategy;

import java.util.HashMap;


public class RequestChangeData extends JSONObject {

    public static final String multiDataKey = "tableData";

    public IBizDataChangeHandleStrategy.ModelType getModelType() {
        if (!this.containsKey(multiDataKey)) {
            return IBizDataChangeHandleStrategy.ModelType.single;
        }
        return IBizDataChangeHandleStrategy.ModelType.batch;
    }

}
